# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "anvilforge-cast-derive"
version = "0.3.9"
authors = ["Anvilforge contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cast ORM derive macros: #[derive(Model)], #[has_many], #[belongs_to], #[scope]."
homepage = "https://github.com/anvilforge/anvilforge"
readme = "README.md"
keywords = [
    "orm",
    "derive",
    "macros",
    "anvilforge",
    "cast",
]
categories = [
    "database",
    "rust-patterns",
]
license = "MIT"
repository = "https://github.com/anvilforge/anvilforge"

[lib]
name = "cast_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.darling]
version = "0.20"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = [
    "full",
    "extra-traits",
]
